ECNR< EC, H > Struct Template Reference

Elliptic Curve NR (ECNR) signature scheme. More...

`#include <eccrypto.h>`

Inheritance diagram for ECNR< EC, H >:

## Additional Inherited Members

Public Types inherited from DL_SS< DL_Keys_EC< EC >, DL_Algorithm_ECNR< EC >, DL_SignatureMessageEncodingMethod_NR, SHA1 >
typedef PK_FinalTemplate< DL_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate< DL_VerifierImpl< SchemeOptions > > | Verifier
| implements PK_Verifier interface
Public Types inherited from DL_Keys_EC< EC >
typedef DL_PublicKey_EC< EC > | PublicKey
typedef DL_PrivateKey_EC< EC > | PrivateKey
Static Public Member Functions inherited from DL_SS< DL_Keys_EC< EC >, DL_Algorithm_ECNR< EC >, DL_SignatureMessageEncodingMethod_NR, SHA1 >
static std::string | StaticAlgorithmName ()

## Detailed Description

template<class EC, class H = SHA1>
struct ECNR< EC, H >

Elliptic Curve NR (ECNR) signature scheme.

Template Parameters

  EC | elliptic curve field
  H | HashTransformation derived class

Definition at line 402 of file eccrypto.h.

The documentation for this struct was generated from the following file:

- eccrypto.h